package cn.com.taiji.beidou.ship.warning.model.service;

import cn.com.taiji.beidou.ship.warning.model.domain.*;
import cn.com.taiji.beidou.ship.warning.rule.domain.UpdateEnabledReq;
import cn.com.taiji.beidou.ship.warning.rule.domain.WarningRuleData;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/20 9:50
 */
public interface ShipWarningService {

    /**
     * 新增或修改规则
     * @param warningRuleReq
     * @return
     */
    int addOrUpdateWarningRule(WarningRuleReq warningRuleReq);

    /**
     * 新增或修改模型
     * @param warningModelReq
     * @return
     */
    int addOrUpdateWarningModel(WarningModelReq warningModelReq);

    int addWarningParam(WarningParamData warningParamData);

    int addWarningArea(WarningAreaData warningAreaData);

    int updateEnabledById(UpdateEnabledReq updateEnabledReq);

    /**
     * 删除规则
     * @param id
     * @return
     */
    int delRule(String id);

    /**
     * 删除模型
     * @param id
     * @return
     */
    int delModel(String id);

    /**
     * 勾选区域
     * @param ids
     * @return
     */
    List<WarningAreaVo> findInId(String ids);
}
